// src/containsAll.ts
var containsAll = (source, target) => target.every((i) => source.includes(i));

// src/distinct.ts
var distinct = (value, index, array) => {
  if (Number.isNaN(value)) {
    return array.findIndex((item) => Number.isNaN(item)) === index;
  }
  return array.indexOf(value) === index;
};

// src/filterAs.ts
import { exists } from "@xylabs/exists";
var filterAs = (x, predicate) => {
  return x.map(predicate).filter(exists);
};

// src/filterAsync.ts
var filterAsync = async (array, predicate) => {
  const results = await Promise.all(array.map(predicate));
  return array.filter((_, index) => results[index]);
};

// src/findAs.ts
import { exists as exists2 } from "@xylabs/exists";
var findAs = (x, predicate) => {
  return x.map(predicate).find(exists2);
};
var findLastAs = (x, predicate) => {
  return x.map(predicate).findLast(exists2);
};

// src/flatten.ts
import { exists as exists3 } from "@xylabs/exists";
var flatten = (a, b) => {
  return [].concat(a).concat(b).filter(exists3);
};

// src/uniq.ts
var uniq = (arr) => {
  return [...new Set(arr)];
};
var uniqBy = (arr, iteratee) => {
  const seen = /* @__PURE__ */ new Set();
  return arr.filter((item) => {
    const key = iteratee(item);
    if (!seen.has(key)) {
      seen.add(key);
      return true;
    }
    return false;
  });
};
export {
  containsAll,
  distinct,
  filterAs,
  filterAsync,
  findAs,
  findLastAs,
  flatten,
  uniq,
  uniqBy
};
//# sourceMappingURL=index.mjs.map