/**
 * Returns the elements of an array that meet the condition specified in a callback function.
 * @param array The array to filter.
 * @param predicate A function that accepts up to three arguments. The filter method calls the predicate function one time for each element in the array.
 * @returns The elements of an array that meet the condition specified in a callback function.
 */
export declare const filterAsync: <T>(array: T[], predicate: (value: T, index: number, array: T[]) => Promise<boolean>) => Promise<T[]>;
//# sourceMappingURL=filterAsync.d.ts.map